#!/usr/bin/env node

const fs = require('fs');
const alfy = require('alfy');

const rootDir = './node_modules/material-design-icons';
const pngPath = 'drawable-xxhdpi';
const svgPath = 'svg/production';
const iconColor = 'black';
const pngTail = `_${iconColor}_24dp.png`;
const svgTail = '_24px.svg';

function getCategories() {
  return fs
    .readdirSync(rootDir)
    .filter(dir => fs.lstatSync(`${rootDir}/${dir}`).isDirectory())
    .filter(dir => fs.readdirSync(`${rootDir}/${dir}`).indexOf(pngPath) >= 0)
    .sort();
}

module.exports = {
  alfy,
  rootDir,
  pngPath,
  iconColor,
  pngTail,
  getCategories,
  svgPath,
  svgTail,
};

